
/**
 * a person with name, age, and shoe size
 * 
 * @author Stephen Bloch 
 * @version Feb. 9, 2001, version 1
 */
public class Person
{
	// instance variables
	String firstName, lastName;
	int age;
	double shoeSize;

	/**
	 * Constructor for objects of class Person
	 */
	public Person(String fn, String ln, int age, double ss)
	{
		// initialise instance variables
		this.firstName = fn;
		this.lastName = ln;
		this.age = age;
		this.shoeSize = ss;
	}

	/**
	 produce a printable String representation of the person
	 @return a String
	 */
	public String toString ()
	{
		return this.firstName + " " + this.lastName + ", age " + this.age
			+ ", wears size " + this.shoeSize + " shoes";
	}

	/**
	the person had a birthday; increment the age.
	@return the new age (an int)
	*/
	public int birthday ()
	{
		return ++this.age;
	}
}
