
/**
 * a Student with name, age, shoe size, and GPA
 * 
 * @author Stephen Bloch
 * @version Feb. 9, 2001 version 2
 */
public class Student extends Person
{
	// instance variables
	double gpa;

	/**
	 * Constructor for objects of class Person
	 */
	public Student(String fn, String ln, int age, double ss, double gpa)
	{
		// initialise instance variables
		super(fn, ln, age, ss); // call the Person constructor
		this.gpa = gpa;
	}

	/**
	 produce a printable String representation of the student
	 @return a String
	 */
	public String toString ()
	{
		return this.firstName + " " + this.lastName + ", age " + this.age
			+ ", wears size " + this.shoeSize + " shoes and has a GPA of " + this.gpa;
	}

	/**
	find out whether the student is averaging above 3.0
	@return a boolean
	*/
	public boolean above3 ()
	{
		return this.gpa > 3.0;
	}
}
