
/**
 * a Student with name, age, shoe size, and GPA
 * 
 * @author Stephen Bloch
 * @version Feb. 9, 2001 version 2
 */
public class Student
{
	// instance variables
	String firstName, lastName;
	int age;
	double shoeSize;
	double gpa;

	/**
	 * Constructor for objects of class Person
	 */
	public Student(String fn, String ln, int age, double ss, double gpa)
	{
		// initialise instance variables
		this.firstName = fn;
		this.lastName = ln;
		this.age = age;
		this.shoeSize = ss;
		this.gpa = gpa;
	}

	/**
	 produce a printable String representation of the student
	 @return a String
	 */
	public String toString ()
	{
		return this.firstName + " " + this.lastName + ", age " + this.age
			+ ", wears size " + this.shoeSize + " shoes and has a GPA of " + this.gpa;
	}

	/**
	the person had a birthday; increment the age.
	@return the new age (an int)
	*/
	public int birthday ()
	{
		return ++this.age;
	}

	/**
	find out whether the student is averaging above 3.0
	@return a boolean
	*/
	public boolean above3 ()
	{
		return this.gpa > 3.0;
	}
}
