
/**
 * a Student with name, age, shoe size, and GPA
 * 
 * @author Stephen Bloch
 * @version Feb. 9, 2001 version 2
 */
public class Student extends Person
{
	// instance variables

	double gpa;

	/**
	 * Constructor for objects of class Person
	 */
	public Student(String fn, String ln, int age, double ss, double gpa)
	{
		// initialise instance variables
		this.firstName = fn;
		this.lastName = ln;
		this.age = age;
		this.shoeSize = ss;
		this.gpa = gpa;
	}
	// Unfortunately, this doesn't compile because if Student is a kind of Person,
	// the Person constructor has to be called before the Student constructor can
	// start its work.  This is fixed in v4.

	/**
	 produce a printable String representation of the student
	 @return a String
	 */
	public String toString ()
	{
		return this.firstName + " " + this.lastName + ", age " + this.age
			+ ", wears size " + this.shoeSize + " shoes and has a GPA of " + this.gpa;
	}

	/**
	find out whether the student is averaging above 3.0
	@return a boolean
	*/
	public boolean above3 ()
	{
		return this.gpa > 3.0;
	}
}
